SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001576SiT!otherpublic2011-06-14 15:052013-01-05 18:47
Reporterivan 
Assigned Topaulh 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.64 LTS 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001576: Some forms don't use $_SESSION['formerrors'] for user form errors
DescriptionSome forms don't use $_SESSION['formerrors'] for user form errors. This can make our display of user errors quite inconsistent.
TagsNo tags attached.
Attached Files

- Relationships
parent of 0000865resolvedpaulh contract_add.php - doesn't remember all filled out fields 

-  Notes
User avatar (0003933)
ivan (administrator)
2011-06-14 15:05
edited on: 2011-06-14 15:15

e.g. edit_escalation_path.php (escalation_path_new.php is ok though strangely)

User avatar (0003934)
ivan (administrator)
2011-06-14 15:09

also edit_software.php
User avatar (0003935)
ivan (administrator)
2011-06-14 15:29

also incident_edit.php
User avatar (0003936)
ivan (administrator)
2011-06-14 15:58

also manage_dashboard.php e.g. installdashboard.
User avatar (0003937)
ivan (administrator)
2011-06-14 17:10

also task_edit.php - which uses it's own unique and exciting way to show user errors.
User avatar (0003938)
ivan (administrator)
2011-06-14 17:22

also user_profile_edit.php
User avatar (0003939)
ivan (administrator)
2011-06-14 17:24

also vendor_edit.php
User avatar (0003940)
paulh (administrator)
2011-06-14 18:58

Agree, may be better to log each one of these as separate bugs so non of them slip through the net
User avatar (0004100)
Tomse (developer)
2011-07-07 21:51

is there a small documentation or a code ref to as how this is handled
User avatar (0004101)
ivan (administrator)
2011-07-07 21:58

@Tomse There's no documentation that I'm aware of, but look for code that calls show_form_errors() and sets $_SESSION['formerrors'] for examples. Quite a few of the forms do now.
User avatar (0004272)
ivan (administrator)
2011-08-31 13:31

incident_email.php
User avatar (0004620)
paulh (administrator)
2012-12-20 20:39
edited on: 2013-01-05 18:30

Current list stands at:

incident_email.php


COMPLETED
search_expired.php
incident_relationships.php
contract_delete_contact.php
contract_edit.php
edit_skill.php
portal/contactdetails.php
kb_article.php
task_edit.php
move_update.php
incident_close.php
portal/new.php
incident_new.php

User avatar (0004639)
paulh (administrator)
2013-01-05 18:47

as of 9c9060f all forms now handle errors consistently

- Issue History
Date Modified Username Field Change
2011-06-14 15:05 ivan New Issue
2011-06-14 15:05 ivan Note Added: 0003933
2011-06-14 15:09 ivan Note Added: 0003934
2011-06-14 15:15 ivan Note Edited: 0003933 View Revisions
2011-06-14 15:29 ivan Note Added: 0003935
2011-06-14 15:58 ivan Note Added: 0003936
2011-06-14 17:10 ivan Note Added: 0003937
2011-06-14 17:22 ivan Note Added: 0003938
2011-06-14 17:24 ivan Note Added: 0003939
2011-06-14 18:58 paulh Note Added: 0003940
2011-06-14 18:58 paulh Status new => confirmed
2011-07-07 21:51 Tomse Note Added: 0004100
2011-07-07 21:58 ivan Note Added: 0004101
2011-08-31 13:31 ivan Note Added: 0004272
2012-11-19 20:22 paulh Relationship added parent of 0000865
2012-12-20 20:39 paulh Note Added: 0004620
2012-12-22 13:09 paulh Note Edited: 0004620 View Revisions
2012-12-22 13:13 paulh Note Edited: 0004620 View Revisions
2012-12-22 13:18 paulh Note Edited: 0004620 View Revisions
2012-12-22 13:39 paulh Note Edited: 0004620 View Revisions
2012-12-22 13:43 paulh Note Edited: 0004620 View Revisions
2012-12-22 18:14 paulh Note Edited: 0004620 View Revisions
2012-12-22 18:52 paulh Note Edited: 0004620 View Revisions
2012-12-30 13:40 paulh Note Edited: 0004620 View Revisions
2012-12-30 14:04 paulh Note Edited: 0004620 View Revisions
2012-12-30 14:40 paulh Note Edited: 0004620 View Revisions
2012-12-30 15:45 paulh Note Edited: 0004620 View Revisions
2013-01-05 16:48 paulh Assigned To => paulh
2013-01-05 16:48 paulh Status confirmed => assigned
2013-01-05 17:30 paulh Note Edited: 0004620 View Revisions
2013-01-05 18:30 paulh Note Edited: 0004620 View Revisions
2013-01-05 18:47 paulh Note Added: 0004639
2013-01-05 18:47 paulh Status assigned => resolved
2013-01-05 18:47 paulh Resolution open => fixed
2013-01-05 18:47 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker